#!/bin/sh
#
# Copyright 2006 Johannes Hofmann <Johannes.Hofmann@gmx.de>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

TMPDIR=`mktemp -d /tmp/flimselXXXXXX`
PIPE=$TMPDIR/fifo

mkfifo $PIPE

mkdir -p /tmp/flimsel_deleted
IFS="	"
tail -f $PIPE | flimsel "$@" | while read cmd arg; do
	for i in $arg; do
		case $cmd in
			*Ctrl+L)
			jpegtran -copy all -rotate 270 "$i" > $TMPDIR/tmp.jpg && mv $TMPDIR/tmp.jpg "$i";;
	
			*Ctrl+R)
			jpegtran -copy all -rotate 90 "$i" > $TMPDIR/tmp.jpg && mv $TMPDIR/tmp.jpg "$i";;
	
			*Ctrl+G)
			gimp "$i";;
	
			*Ctrl+D)
			mv "$i" /tmp/flimsel_deleted;;
		esac
		echo $i > $PIPE
	done

	case $cmd in
		*Mouse3)
		feh -F "$arg"&;;

		*Ctrl+H)
		xmessage -file $0;;

		*Ctrl+Q)
		rm "$PIPE"
		rmdir "$TMPDIR"
		kill -TERM -$$;;
	esac
done
