//
// Copyright 2006 Johannes Hofmann <Johannes.Hofmann@gmx.de>
//
// This software may be used and distributed according to the terms
// of the GNU General Public License, incorporated herein by reference.

#ifndef Slide_H
#define Slide_H

#include <FL/Fl_Image.H>
#include <FL/Fl_Toggle_Button.H>

class Slide : public Fl_Toggle_Button {
	private:
		char *file;

		static int max_thumb_w, max_thumb_h;

		static  Fl_Image *epeg_thumb_check(const char *name,
			uchar *header, int hdrlen);

		static  Fl_Image *fallback_thumb_check(const char *name,
			uchar *header, int hdrlen);


	public:
		Slide(int _x, int _y, int _w, int _h);

		int load(const char *f);

		int reload();

		const char *filename();

		int handle(int event);

		static void init(int _w, int _h);
};

#endif
